Query transactions
curl --request POST \
--url https://sandbox.tight.com/v6/banks/transactions/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"start": "<string>"
},
"filter": {
"search": "<string>",
"date": {
"equal": "2023-12-25",
"notEqual": "2023-12-25",
"greaterThan": "2023-12-25",
"greaterThanEqual": "2023-12-25",
"lessThan": "2023-12-25",
"lessThanEqual": "2023-12-25"
},
"amount": {
"equal": 123,
"notEqual": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"description": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"notes": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [],
"notIn": []
},
"reviewStatus": {
"in": [],
"notIn": []
},
"type": {
"in": [],
"notIn": []
},
"bankAccount": {
"expand": true,
"id": {
"in": [
"<string>"
],
"notIn": [
"<string>"
]
}
},
"vendor": {
"expand": true,
"id": {
"in": [
"<string>"
]
}
},
"dimensionValues": {
"expand": true,
"id": {
"in": [
"<string>"
]
}
},
"customer": {
"expand": true,
"id": {
"in": [
"<string>"
]
}
},
"category": {
"expand": true,
"id": {
"in": [
"<string>"
]
}
},
"glAccount": {
"expand": true,
"id": {
"in": [
"<string>"
]
}
},
"reconciliationMatch": {
"expand": true,
"id": {
"equal": "<string>"
}
},
"conversation": {
"expand": true
},
"invoice": {
"expand": true,
"lineItems": {
"expand": true
}
},
"bill": {
"expand": true,
"lineItems": {
"expand": true
}
},
"payroll": {
"expand": true,
"lineItems": {
"expand": true
}
},
"company": {
"in": [
"co_123",
"co_456"
]
},
"lastUpdatedDateTime": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://sandbox.tight.com/v6/banks/transactions/query"
payload = {
"cursor": "<string>",
"limit": 123,
"sort": { "start": "<string>" },
"filter": {
"search": "<string>",
"date": {
"equal": "2023-12-25",
"notEqual": "2023-12-25",
"greaterThan": "2023-12-25",
"greaterThanEqual": "2023-12-25",
"lessThan": "2023-12-25",
"lessThanEqual": "2023-12-25"
},
"amount": {
"equal": 123,
"notEqual": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"description": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"notes": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [],
"notIn": []
},
"reviewStatus": {
"in": [],
"notIn": []
},
"type": {
"in": [],
"notIn": []
},
"bankAccount": {
"expand": True,
"id": {
"in": ["<string>"],
"notIn": ["<string>"]
}
},
"vendor": {
"expand": True,
"id": { "in": ["<string>"] }
},
"dimensionValues": {
"expand": True,
"id": { "in": ["<string>"] }
},
"customer": {
"expand": True,
"id": { "in": ["<string>"] }
},
"category": {
"expand": True,
"id": { "in": ["<string>"] }
},
"glAccount": {
"expand": True,
"id": { "in": ["<string>"] }
},
"reconciliationMatch": {
"expand": True,
"id": { "equal": "<string>" }
},
"conversation": { "expand": True },
"invoice": {
"expand": True,
"lineItems": { "expand": True }
},
"bill": {
"expand": True,
"lineItems": { "expand": True }
},
"payroll": {
"expand": True,
"lineItems": { "expand": True }
},
"company": { "in": ["co_123", "co_456"] },
"lastUpdatedDateTime": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 123,
sort: {start: '<string>'},
filter: {
search: '<string>',
date: {
equal: '2023-12-25',
notEqual: '2023-12-25',
greaterThan: '2023-12-25',
greaterThanEqual: '2023-12-25',
lessThan: '2023-12-25',
lessThanEqual: '2023-12-25'
},
amount: {
equal: 123,
notEqual: 123,
greaterThan: 123,
greaterThanEqual: 123,
lessThan: 123,
lessThanEqual: 123
},
description: {
equal: '<string>',
notEqual: '<string>',
greaterThan: '<string>',
greaterThanEqual: '<string>',
lessThan: '<string>',
lessThanEqual: '<string>',
contain: '<string>'
},
notes: {
equal: '<string>',
notEqual: '<string>',
greaterThan: '<string>',
greaterThanEqual: '<string>',
lessThan: '<string>',
lessThanEqual: '<string>',
contain: '<string>'
},
status: {in: [], notIn: []},
reviewStatus: {in: [], notIn: []},
type: {in: [], notIn: []},
bankAccount: {expand: true, id: {in: ['<string>'], notIn: ['<string>']}},
vendor: {expand: true, id: {in: ['<string>']}},
dimensionValues: {expand: true, id: {in: ['<string>']}},
customer: {expand: true, id: {in: ['<string>']}},
category: {expand: true, id: {in: ['<string>']}},
glAccount: {expand: true, id: {in: ['<string>']}},
reconciliationMatch: {expand: true, id: {equal: '<string>'}},
conversation: {expand: true},
invoice: {expand: true, lineItems: {expand: true}},
bill: {expand: true, lineItems: {expand: true}},
payroll: {expand: true, lineItems: {expand: true}},
company: {in: ['co_123', 'co_456']},
lastUpdatedDateTime: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://sandbox.tight.com/v6/banks/transactions/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "btxn_158998869",
"type": "EXPENSE",
"date": "2025-06-26",
"amount": -273479,
"currencyInfo": {
"originalCurrency": "USD",
"originalAmount": -273479
},
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"notes": "June Payroll",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"apiName": "GUSTO",
"iconUrl": "https://cdn.sandbox.tight.com/icons/integrations/gusto.png",
"apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Mid Atlantic",
"child": {
"id": "dv_593054",
"dimension": {
"id": "dim_4522",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC"
}
},
{
"id": "dv_594913",
"dimension": {
"id": "dim_4523",
"name": "Job Code",
"requiredness": "NOT_REQUIRED"
},
"name": "7050 – Interior Finishes"
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"suggestedCategories": [
{
"id": "ctg_58932891"
},
{
"id": "ctg_58932892"
}
],
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"invoiceItem": {
"id": "<string>",
"description": "<string>"
},
"reconciliationMatch": {
"id": "<string>",
"amount": 123,
"date": "2025-06-28",
"description": "<string>",
"apiName": "UNIT",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1234"
}
},
"matchingBankTransaction": {
"id": "<string>",
"amount": 123,
"date": "2025-06-28",
"description": "<string>",
"apiName": "UNIT",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1234"
}
},
"conversation": {
"id": "<string>",
"readStatus": "UNREAD"
},
"company": {
"id": "co_123456",
"name": "ACME Corp"
},
"attachments": [
{
"id": "att_894321",
"url": "https://files.example.com/attachment/receipt1.pdf",
"fileName": "receipt1.pdf",
"fileSize": "24.5 KB",
"createdDateTime": "2026-07-23T18:25:15.336863379",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
},
{
"id": "att_894322",
"url": "https://files.example.com/attachment/receipt2.pdf",
"fileName": "receipt2.pdf",
"fileSize": "156.2 KB",
"createdDateTime": "2026-07-22T18:25:15.336918002",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
}
],
"tax": {},
"children": [],
"customData": {
"empty": false,
"object": true,
"nodeType": "OBJECT",
"array": false,
"null": false,
"embeddedValue": false,
"missingNode": false,
"valueNode": false,
"container": true,
"float": false,
"string": false,
"number": false,
"pojo": false,
"integralNumber": false,
"floatingPointNumber": false,
"short": false,
"int": false,
"long": false,
"double": false,
"bigDecimal": false,
"bigInteger": false,
"textual": false,
"boolean": false,
"binary": false
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Bank Transactions
Query transactions
Query transactions for the authenticated user
POST
/
v6
/
banks
/
transactions
/
query
Query transactions
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Headers
Available options:
6 Body
application/json
Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes
⌘I